JackTrip: LoopBack Class Reference

JackTrip

Public Member Functions | List of all members
LoopBack Class Reference

Connect Inputs to Outputs. More...

`#include <LoopBack.h>`

Inheritance diagram for LoopBack:
[legend]
Collaboration diagram for LoopBack:
[legend]

## Public Member Functions
| LoopBack (int numchans)
| The class constructor sets the number of channels to connect as loopback. More...
virtual | ~LoopBack ()
| The class destructor. More...
virtual int | getNumInputs ()
| Return Number of Input Channels. More...
virtual int | getNumOutputs ()
| Return Number of Output Channels. More...
virtual void | compute (int nframes, float **inputs, float **outputs)
| Compute process. More...
Public Member Functions inherited from ProcessPlugin
| ProcessPlugin ()
| The Class Constructor. More...
virtual | ~ProcessPlugin ()
| The Class Destructor. More...
virtual void | init (int samplingRate)
| Do proper Initialization of members and class instances. By default this initializes the Sampling Frequency. If a class instance depends on the sampling frequency, it should be initialize here. More...

## Additional Inherited Members
Protected Attributes inherited from ProcessPlugin
int | fSamplingFreq
| Faust Data member, Sampling Rate. More...

## Detailed Description

Connect Inputs to Outputs.

This Class just copy audio from its inputs to its outputs.

It can be use to do loopback without the need to externally connect channels in JACK. Note that if you do connect the channels in jack, you'll be effectively multiplying the signal by 2.

## Constructor & Destructor Documentation

## ◆ LoopBack()

LoopBack::LoopBack | ( | int | numchans | ) |
| inline

The class constructor sets the number of channels to connect as loopback.

## ◆ ~LoopBack()

virtual LoopBack::~LoopBack | ( |  | ) |
| inlinevirtual

The class destructor.

## Member Function Documentation

## ◆ compute()

void LoopBack::compute | ( | int | nframes,
|  | float ** | inputs,
|  | float ** | outputs
| ) |  |
| virtual

Compute process.

Implements ProcessPlugin.

## ◆ getNumInputs()

virtual int LoopBack::getNumInputs | ( |  | ) |
| inlinevirtual

Return Number of Input Channels.

Implements ProcessPlugin.

## ◆ getNumOutputs()

virtual int LoopBack::getNumOutputs | ( |  | ) |
| inlinevirtual

Return Number of Output Channels.

Implements ProcessPlugin.

The documentation for this class was generated from the following files:

- src/LoopBack.h
- src/LoopBack.cpp